<a href="https://www.telerik.com/kendo-angular-ui/" target="_blank">
<img width="631" src="https://demos.telerik.com/kendo-angular-ui/assets/banner/npm-banner.svg">
</a>

## Kendo UI for Angular Popup Component

> * This package is part of [Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui)&mdash;a commercial library designed and built for developing business applications with Angular. Every UI component in the Kendo UI for Angular suite has been built from the ground-up specifically for Angular.
> * You must [install a license key](https://www.telerik.com/kendo-angular-ui/my-license) when adding the package to your project. To receive a license key, either [purchase a license](https://www.telerik.com/purchase/kendo-ui) or register for a [free trial](https://www.telerik.com/download-login-v2-kendo-angular-ui).
> * The 30-day free trial gives you access to all the Kendo UI for Angular components and their full functionality. Additionally, for the period of your license, you get access to our legendary technical support provided directly by the Kendo UI for Angular dev team!
>
> [Start using Kendo UI for Angular](https://www.telerik.com/download-login-v2-kendo-angular-ui) and speed up your development process!

## Angular Popup Component

The [Kendo UI for Angular Popup](https://www.telerik.com/kendo-angular-ui/components/pdfviewer) component overlays content next to a specific anchor HTML element. The Angular Popup component is build natively for Angular so you get the best possible performance and integration with other Angular components.

<img src="https://d585tldpucybw.cloudfront.net/sfimages/default-source/component-pages/angular/angular-popup-animations.gif" alt="Angular PopupExample">

### Key Features

* [Animations](https://www.telerik.com/kendo-angular-ui/components/popup/animations/)&mdash;Customize the animation of the Popup and change its direction, type, and duration, or disable it.
* [Aligning and Positioning](https://www.telerik.com/kendo-angular-ui/components/popup/aligning-positioning/)&mdash;Align the Popup components to other components and absolute points as well as to control its position and render a margin according to a specific elements.
* [Document Scale](https://www.telerik.com/kendo-angular-ui/components/popup/document-scale/)&mdash;The Angular Popup provides configuration options for declaring the document scale so that it gets properly positioned.
* [Styling](https://www.telerik.com/kendo-angular-ui/components/popup/styling/)&mdash;Customize the appearance of the host Popup element and the elements that hold its content as well as copy the anchor font styles of the content-holding element.
* [Viewport Boundary Detection](https://www.telerik.com/kendo-angular-ui/components/popup/viewport-boundary/)&mdash;Set the compponent's boundary detection functionality so that when it does not fit in the viewport, it will automatically change its position.
* [Angular Service](https://www.telerik.com/kendo-angular-ui/components/popup/service/)&mdash;Create Popup instances from TypeScript based on user interactions and without the need to define the component in a template.

## Support Options

For any issues you might encounter while working with the Kendo UI for Angular Popup, you have the following support channels available:

* Industry-leading technical support&mdash;Kendo UI for Angular paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use the [dedicated Kendo UI for Angular support system](https://www.telerik.com/account/support-tickets).
* Product forums&mdash;The [Kendo UI for Angular forums](https://www.telerik.com/forums/kendo-angular-ui) are part of the free support you can get from the community and from the Kendo UI for Angular team.
* Feedback portal&mdash;The [Kendo UI for Angular feedback portal](https://feedback.telerik.com/kendo-angular-ui) is where you can request and vote for new features to be added.

## Resources

* [Getting Started with Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/getting-started)
* [Getting Started with the Kendo UI for Angular Popup](https://www.telerik.com/kendo-angular-ui/components/popup/installation/getting-started)
* [PDFViewer Overview page](https://www.telerik.com/kendo-angular-ui/components/pdfviewer) and [PDFViewer API reference](https://www.telerik.com/kendo-angular-ui/components/pdfviewer/api)
* [Kendo UI for Angular roadmap](https://www.telerik.com/kendo-angular-ui/roadmap)
* [Blogs](http://www.telerik.com/blogs/kendo-ui)
* [Demos, documentation, and component reference](https://www.telerik.com/kendo-angular-ui/components)
* [Kendo UI for Angular pricing and licensing](https://www.telerik.com/purchase/kendo-ui)

*Copyright © 2025 Progress Software Corporation and/or one of its subsidiaries or affiliates. All rights reserved.*

*Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*
